
%global meadversion 2.12.0
%global namedversion 2.12.0.SP03-redhat-00001
%global meadalpha .SP03_redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package xerces-j2}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.12.0.SP03-redhat-00001

Name:           %{?scl_prefix}xerces-j2
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Xerces-J
Group:          Development/Java

%if %with mead
Source100: xercesImpl-2.12.0.SP03-redhat-00001-project-sources.tar.gz
Source102: xercesImpl-2.12.0.SP03-redhat-00001-sources.jar
Source103: xercesImpl-2.12.0.SP03-redhat-00001.jar
Source104: xercesImpl-2.12.0.SP03-redhat-00001.pom
Source105: xercesImpl-2.12.0.SP03-redhat-00001-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://xerces.apache.org/xerces2-j
Provides:       %{?scl_prefix}xercesImpl = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/xercesImpl-%{namedversion}-%{release}-root

%description
Xerces2 is the next generation of high performance, fully compliant XML
parsers in the Apache Xerces family. This new version of Xerces introduces
the Xerces Native Interface (XNI), a complete framework for building parser
components and configurations that is extremely modular and easy to program.
The Apache Xerces2 parser is the reference implementation of XNI but other
parser components, configurations, and parsers can be written using the Xerces
Native Interface. For complete design and implementation documents, refer to the
XNI Manual. Xerces2 is a fully conforming XML Schema 1.0 processor. A
partial experimental implementation of the XML Schema 1.1 Structures and
Datatypes Working Drafts (December 2009) and an experimental implementation
of the XML Schema Definition Language (XSD): Component Designators (SCD)
Candidate Recommendation (January 2010) are provided for evaluation. For
more information, refer to the XML Schema page. Xerces2 also provides a complete
implementation of the Document Object Model Level 3 Core and Load/Save W3C
Recommendations and provides a complete implementation of the XML Inclusions
(XInclude) W3C Recommendation. It also provides support for OASIS XML
Catalogs v1.1. Xerces2 is able to parse documents written according to the
XML 1.1 Recommendation, except that it does not yet provide an option to
enable normalization checking as described in section 2.13 of this
specification. It also handles namespaces according to the XML Namespaces
1.1 Recommendation, and will correctly serialize XML 1.1 documents if the
DOM level 3 load/save APIs are in use.

%if %with javadoc
%package javadoc
Summary:        Javadoc for xercesImpl
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n xercesImpl-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/xercesImpl-%{namedversion}.jar %{buildroot}%{_javadir}/xercesImpl-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/xercesImpl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/xercesImpl-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/xercesImpl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/xercesImpl-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/xercesImpl-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/xercesImpl-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/xercesImpl-%{namedversion} -x META-INF/\*
%{__ln_s} xercesImpl-%{namedversion} %{buildroot}%{_javadocdir}/xercesImpl
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc KEYS LICENSE NOTICE README
%{_javadir}/xercesImpl-%{namedversion}.jar
%{_javadir}/xercesImpl.jar
%if %with javadoc
%{_javadir}/xercesImpl-%{namedversion}-javadoc.jar
%{_javadir}/xercesImpl-javadoc.jar
%endif
%{_javadir}/xercesImpl-%{namedversion}-sources.jar
%{_javadir}/xercesImpl-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/xercesImpl-%{namedversion}
%{_javadocdir}/xercesImpl
%endif

%changelog
* Tue Aug 25 2020 Permaine Cheung <pcheung@redhat.com> - 2.12.0-2.SP03_redhat_00001.1
- 2.12.0.SP03-redhat-00001

* Mon Aug 24 2020 Permaine Cheung <pcheung@redhat.com> - 2.12.0-2.SP03_redhat_00001.1
- 2.12.0.SP03-redhat-00001

* Tue Aug 28 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.12.0-1.SP02_redhat_00001.1
- upgrade to 2.12.0.SP02-redhat-00001

* Tue Jun 26 2018 Yong Yang <yyang@redhat.com> - 2.11.0-31.SP5_redhat_1.1
- Rewrap for 7.2.0

* Fri Sep 23 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.11.0-24.SP5_redhat_1.1
- Upgrade to 2.11.0.SP5

* Wed Nov 04 2015 David Walluck <dwalluck@redhat.com> - 2.11.0-23.SP4_redhat_1.1
- 2.11.0.SP4

* Fri Sep 18 2015 David Walluck <dwalluck@redhat.com> - 2.11.0-22.SP3_redhat_2.1
- add missing class to jar

* Wed May 13 2015 Fernando Nasser <fnasser@redhat.com> - 2.11.0-20.SP3_redhat_1.1
- Re-wrap to include RHEL-6

* Fri Apr 17 2015 David Walluck <dwalluck@redhat.com> - 2.11.0-19.SP3_redhat_1.1
- update Requires

* Fri Apr 17 2015 David Walluck <dwalluck@redhat.com> - 2.11.0-18.SP3_redhat_1.1
- release
